### Class

# Ide Notifications

#### Description

    final class Ide.Notifications : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- GListModel

#### Constructors

###### ide_notifications_new

Create a new `IdeNotifications`.

Available since: 3.32

#### Instance methods

###### ide_notifications_add_notification

Adds `notification` as a child of `self`, sorting it by priority and urgency.

Available since: 3.32

###### ide_notifications_find_by_id

Finds the first `IdeNotification` registered with `self` with `IdeNotification:id` of `id`.

Available since: 3.32

###### ide_notifications_get_has_progress

Gets if any of the notification support progress updates.

Available since: 3.32

###### ide_notifications_get_progress

Gets the combined progress of the notifications contained in this `IdeNotifications` object.

Available since: 3.32

###### ide_notifications_get_progress_is_imprecise

Checks if all of the notifications with progress are imprecise.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

Available since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

Available since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

Available since: 2.44

###### g_list_model_get_object

Get the item at `position`.

Available since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

Available since: 2.44

#### Properties

###### Ide.Notifications:has-progress

The “has-progress” property denotes if any of the notifications have progress supported.

Available since: 3.32

###### Ide.Notifications:progress

The “progress” property is the combination of all of the notifications currently monitored. It is updated when child notifications progress changes.

Available since: 3.32

###### Ide.Notifications:progress-is-imprecise

The “progress-is-imprecise” property indicates that all progress-bearing notifications are imprecise.

Available since: 3.32

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### Gio.ListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Available since: 2.44

#### Class structure

    struct IdeNotificationsClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.